#
# spec file for package python-grpc-google-iam-v1
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-grpc-google-iam-v1
Version:        0.12.4
Release:        1.6
Summary:        GRPC library for the google-iam-v1 service
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/googleapis/googleapis
Source:         https://files.pythonhosted.org/packages/source/g/grpc-google-iam-v1/grpc-google-iam-v1-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-googleapis-common-protos >= 1.56.0
Requires:       python-grpcio >= 1.0.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module googleapis-common-protos >= 1.56.0}
BuildRequires:  %{python_module grpcio >= 1.0.0}
# /SECTION
%python_subpackages

%description
GRPC library for the google-iam-v1 service

%prep
%setup -q -n grpc-google-iam-v1-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# No tests included in source tarball

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Sep  9 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.12.4:
  * chore: release 0.12.4
  * chore: add license headers
  * fix: regenerate pb2 using latest protos
- Update BuildRequires and Requires from setup.py
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.12.3:
  * no upstream changelog
* Mon Feb 18 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.11.4
